<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.9.1"/>
<title>Flair: V4LCamera.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="logo_hds.png"/></td>
  <td style="padding-left: 0.5em;">
   <div id="projectname">Flair
   </div>
   <div id="projectbrief">Framework Libre Air</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.9.1 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('_v4_l_camera_8h_source.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">V4LCamera.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="_v4_l_camera_8h.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="comment">// %flair:license{</span></div>
<div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="comment">// This file is part of the Flair framework distributed under the</span></div>
<div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="comment">// CECILL-C License, Version 1.0.</span></div>
<div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="comment">// %flair:license}</span></div>
<div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;<span class="comment"></span><span class="preprocessor">#ifndef V4LCamera_H</span></div>
<div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;<span class="preprocessor">#define V4LCamera_H</span></div>
<div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;</div>
<div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;<span class="preprocessor">#include &lt;<a class="code" href="_thread_8h.html">Thread.h</a>&gt;</span></div>
<div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_camera_8h.html">Camera.h</a>&quot;</span></div>
<div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;<span class="preprocessor">#include &lt;highgui.h&gt;</span></div>
<div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;</div>
<div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;<span class="keyword">namespace </span><a class="code" href="namespaceflair.html">flair</a> {</div>
<div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;<span class="keyword">namespace </span>core {</div>
<div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;<span class="keyword">class </span>cvimage;</div>
<div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;}</div>
<div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;<span class="keyword">namespace </span>gui {</div>
<div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;<span class="keyword">class </span>DoubleSpinBox;</div>
<div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;<span class="keyword">class </span>CheckBox;</div>
<div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;<span class="keyword">class </span>Label;</div>
<div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160;}</div>
<div class="line"><a name="l00029"></a><span class="lineno">   29</span>&#160;}</div>
<div class="line"><a name="l00030"></a><span class="lineno">   30</span>&#160;</div>
<div class="line"><a name="l00031"></a><span class="lineno">   31</span>&#160;<span class="keyword">namespace </span><a class="code" href="namespaceflair.html">flair</a> {</div>
<div class="line"><a name="l00032"></a><span class="lineno">   32</span>&#160;<span class="keyword">namespace </span>sensor {</div>
<div class="line"><a name="l00037"></a><span class="lineno"><a class="line" href="classflair_1_1sensor_1_1_v4_l_camera.html">   37</a></span>&#160;<span class="keyword">class </span><a class="code" href="classflair_1_1sensor_1_1_v4_l_camera.html">V4LCamera</a> : <span class="keyword">public</span> <a class="code" href="classflair_1_1core_1_1_thread.html">core::Thread</a>, <span class="keyword">public</span> <a class="code" href="classflair_1_1sensor_1_1_camera.html">Camera</a> {</div>
<div class="line"><a name="l00038"></a><span class="lineno">   38</span>&#160;<span class="keyword">public</span>:</div>
<div class="line"><a name="l00052"></a><span class="lineno">   52</span>&#160;  <a class="code" href="classflair_1_1sensor_1_1_v4_l_camera.html#ace224e60461a7c78ff7a7f16e43eaad3">V4LCamera</a>(std::string name,</div>
<div class="line"><a name="l00053"></a><span class="lineno">   53</span>&#160;            uint8_t camera_index, uint16_t width, uint16_t height,</div>
<div class="line"><a name="l00054"></a><span class="lineno">   54</span>&#160;            <a class="code" href="classflair_1_1core_1_1cvimage_1_1_type.html#abbfd16d91156a75d6ddbe7858aa8692f">core::cvimage::Type::Format</a> format, uint8_t priority);</div>
<div class="line"><a name="l00055"></a><span class="lineno">   55</span>&#160;</div>
<div class="line"><a name="l00060"></a><span class="lineno">   60</span>&#160;  <a class="code" href="classflair_1_1sensor_1_1_v4_l_camera.html#a17dd62aecb525f68c0cfb4ae6e4d372a">~V4LCamera</a>();</div>
<div class="line"><a name="l00061"></a><span class="lineno">   61</span>&#160;  </div>
<div class="line"><a name="l00062"></a><span class="lineno">   62</span>&#160;    <span class="comment">//hack for ps3eye in hds uav</span></div>
<div class="line"><a name="l00063"></a><span class="lineno">   63</span>&#160;  <span class="comment">//TODO: put this in ps3eye class</span></div>
<div class="line"><a name="l00064"></a><span class="lineno">   64</span>&#160;  <span class="keywordtype">bool</span> HasProblems(<span class="keywordtype">void</span>);</div>
<div class="line"><a name="l00065"></a><span class="lineno">   65</span>&#160;</div>
<div class="line"><a name="l00066"></a><span class="lineno">   66</span>&#160;<span class="keyword">protected</span>:</div>
<div class="line"><a name="l00072"></a><span class="lineno">   72</span>&#160;  <span class="keyword">virtual</span> <span class="keywordtype">void</span> <a class="code" href="classflair_1_1sensor_1_1_v4_l_camera.html#a29862113a1cf3095a15e8f86e28c4a9e">SetGain</a>(<span class="keywordtype">float</span> value);</div>
<div class="line"><a name="l00073"></a><span class="lineno">   73</span>&#160;</div>
<div class="line"><a name="l00079"></a><span class="lineno">   79</span>&#160;  <span class="keyword">virtual</span> <span class="keywordtype">void</span> <a class="code" href="classflair_1_1sensor_1_1_v4_l_camera.html#a6bd963d24efcd05a905cc801af8b91ae">SetAutoGain</a>(<span class="keywordtype">bool</span> value);</div>
<div class="line"><a name="l00080"></a><span class="lineno">   80</span>&#160;</div>
<div class="line"><a name="l00086"></a><span class="lineno">   86</span>&#160;  <span class="keyword">virtual</span> <span class="keywordtype">void</span> <a class="code" href="classflair_1_1sensor_1_1_v4_l_camera.html#a0cd0d589400e91a267e736577455a03f">SetExposure</a>(<span class="keywordtype">float</span> value);</div>
<div class="line"><a name="l00087"></a><span class="lineno">   87</span>&#160;</div>
<div class="line"><a name="l00093"></a><span class="lineno">   93</span>&#160;  <span class="keyword">virtual</span> <span class="keywordtype">void</span> <a class="code" href="classflair_1_1sensor_1_1_v4_l_camera.html#a1f98212da6124f4da644880fc0f6239a">SetAutoExposure</a>(<span class="keywordtype">bool</span> value);</div>
<div class="line"><a name="l00094"></a><span class="lineno">   94</span>&#160;</div>
<div class="line"><a name="l00100"></a><span class="lineno">  100</span>&#160;  <span class="keyword">virtual</span> <span class="keywordtype">void</span> <a class="code" href="classflair_1_1sensor_1_1_v4_l_camera.html#af2108dc32fd988eb33bf8a28e1c5a843">SetBrightness</a>(<span class="keywordtype">float</span> value);</div>
<div class="line"><a name="l00101"></a><span class="lineno">  101</span>&#160;</div>
<div class="line"><a name="l00107"></a><span class="lineno">  107</span>&#160;  <span class="keyword">virtual</span> <span class="keywordtype">void</span> <a class="code" href="classflair_1_1sensor_1_1_v4_l_camera.html#a91421cc842452513bae3ef4530043d69">SetSaturation</a>(<span class="keywordtype">float</span> value);</div>
<div class="line"><a name="l00108"></a><span class="lineno">  108</span>&#160;</div>
<div class="line"><a name="l00114"></a><span class="lineno">  114</span>&#160;  <span class="keyword">virtual</span> <span class="keywordtype">void</span> <a class="code" href="classflair_1_1sensor_1_1_v4_l_camera.html#a7d8f738b2c011fb07a8b810358563613">SetHue</a>(<span class="keywordtype">float</span> value);</div>
<div class="line"><a name="l00115"></a><span class="lineno">  115</span>&#160;</div>
<div class="line"><a name="l00121"></a><span class="lineno">  121</span>&#160;  <span class="keyword">virtual</span> <span class="keywordtype">void</span> <a class="code" href="classflair_1_1sensor_1_1_v4_l_camera.html#add3527b969ba1fb04f6852538627a087">SetContrast</a>(<span class="keywordtype">float</span> value);</div>
<div class="line"><a name="l00122"></a><span class="lineno">  122</span>&#160;  </div>
<div class="line"><a name="l00123"></a><span class="lineno">  123</span>&#160;<span class="keyword">private</span>:</div>
<div class="line"><a name="l00131"></a><span class="lineno">  131</span>&#160;  <span class="keywordtype">void</span> UpdateFrom(<span class="keyword">const</span> <a class="code" href="classflair_1_1core_1_1io__data.html">core::io_data</a> *data){};</div>
<div class="line"><a name="l00132"></a><span class="lineno">  132</span>&#160;</div>
<div class="line"><a name="l00139"></a><span class="lineno">  139</span>&#160;  <span class="keywordtype">void</span> Run(<span class="keywordtype">void</span>);</div>
<div class="line"><a name="l00140"></a><span class="lineno">  140</span>&#160;</div>
<div class="line"><a name="l00141"></a><span class="lineno">  141</span>&#160;  CvCapture *capture;</div>
<div class="line"><a name="l00142"></a><span class="lineno">  142</span>&#160;</div>
<div class="line"><a name="l00143"></a><span class="lineno">  143</span>&#160;  <a class="code" href="classflair_1_1gui_1_1_tab.html">gui::Tab</a> *sensor_tab;</div>
<div class="line"><a name="l00144"></a><span class="lineno">  144</span>&#160;  <a class="code" href="classflair_1_1gui_1_1_double_spin_box.html">gui::DoubleSpinBox</a> *bright, *exposure, *gain, *contrast, *hue, *sharpness,*sat;</div>
<div class="line"><a name="l00145"></a><span class="lineno">  145</span>&#160;  <a class="code" href="classflair_1_1gui_1_1_check_box.html">gui::CheckBox</a> *autogain, *awb, *autoexposure;</div>
<div class="line"><a name="l00146"></a><span class="lineno">  146</span>&#160;  <a class="code" href="classflair_1_1gui_1_1_label.html">gui::Label</a> *fps;</div>
<div class="line"><a name="l00147"></a><span class="lineno">  147</span>&#160;  <span class="keywordtype">bool</span> hasProblems;</div>
<div class="line"><a name="l00148"></a><span class="lineno">  148</span>&#160;};</div>
<div class="line"><a name="l00149"></a><span class="lineno">  149</span>&#160;} <span class="comment">// end namespace sensor</span></div>
<div class="line"><a name="l00150"></a><span class="lineno">  150</span>&#160;} <span class="comment">// end namespace flair</span></div>
<div class="line"><a name="l00151"></a><span class="lineno">  151</span>&#160;<span class="preprocessor">#endif // V4LCamera_H</span></div>
<div class="ttc" id="classflair_1_1core_1_1io__data_html"><div class="ttname"><a href="classflair_1_1core_1_1io__data.html">flair::core::io_data</a></div><div class="ttdoc">Abstract class for data types. </div><div class="ttdef"><b>Definition:</b> io_data.h:94</div></div>
<div class="ttc" id="classflair_1_1sensor_1_1_camera_html"><div class="ttname"><a href="classflair_1_1sensor_1_1_camera.html">flair::sensor::Camera</a></div><div class="ttdoc">Base class for Camera. </div><div class="ttdef"><b>Definition:</b> Camera.h:39</div></div>
<div class="ttc" id="classflair_1_1sensor_1_1_v4_l_camera_html_af2108dc32fd988eb33bf8a28e1c5a843"><div class="ttname"><a href="classflair_1_1sensor_1_1_v4_l_camera.html#af2108dc32fd988eb33bf8a28e1c5a843">flair::sensor::V4LCamera::SetBrightness</a></div><div class="ttdeci">virtual void SetBrightness(float value)</div><div class="ttdoc">Set Brightness. </div></div>
<div class="ttc" id="classflair_1_1gui_1_1_check_box_html"><div class="ttname"><a href="classflair_1_1gui_1_1_check_box.html">flair::gui::CheckBox</a></div><div class="ttdoc">Class displaying a QCheckBox on the ground station. </div><div class="ttdef"><b>Definition:</b> CheckBox.h:28</div></div>
<div class="ttc" id="namespaceflair_html"><div class="ttname"><a href="namespaceflair.html">flair</a></div><div class="ttdoc">namespace of the flair Framework </div><div class="ttdef"><b>Definition:</b> Ahrs.h:19</div></div>
<div class="ttc" id="classflair_1_1sensor_1_1_v4_l_camera_html_a7d8f738b2c011fb07a8b810358563613"><div class="ttname"><a href="classflair_1_1sensor_1_1_v4_l_camera.html#a7d8f738b2c011fb07a8b810358563613">flair::sensor::V4LCamera::SetHue</a></div><div class="ttdeci">virtual void SetHue(float value)</div><div class="ttdoc">Set Hue. </div></div>
<div class="ttc" id="classflair_1_1sensor_1_1_v4_l_camera_html_add3527b969ba1fb04f6852538627a087"><div class="ttname"><a href="classflair_1_1sensor_1_1_v4_l_camera.html#add3527b969ba1fb04f6852538627a087">flair::sensor::V4LCamera::SetContrast</a></div><div class="ttdeci">virtual void SetContrast(float value)</div><div class="ttdoc">Set Contrast. </div></div>
<div class="ttc" id="classflair_1_1sensor_1_1_v4_l_camera_html_a29862113a1cf3095a15e8f86e28c4a9e"><div class="ttname"><a href="classflair_1_1sensor_1_1_v4_l_camera.html#a29862113a1cf3095a15e8f86e28c4a9e">flair::sensor::V4LCamera::SetGain</a></div><div class="ttdeci">virtual void SetGain(float value)</div><div class="ttdoc">Set Gain. </div></div>
<div class="ttc" id="classflair_1_1sensor_1_1_v4_l_camera_html_a17dd62aecb525f68c0cfb4ae6e4d372a"><div class="ttname"><a href="classflair_1_1sensor_1_1_v4_l_camera.html#a17dd62aecb525f68c0cfb4ae6e4d372a">flair::sensor::V4LCamera::~V4LCamera</a></div><div class="ttdeci">~V4LCamera()</div><div class="ttdoc">Destructor. </div></div>
<div class="ttc" id="classflair_1_1core_1_1cvimage_1_1_type_html_abbfd16d91156a75d6ddbe7858aa8692f"><div class="ttname"><a href="classflair_1_1core_1_1cvimage_1_1_type.html#abbfd16d91156a75d6ddbe7858aa8692f">flair::core::cvimage::Type::Format</a></div><div class="ttdeci">Format</div><div class="ttdef"><b>Definition:</b> cvimage.h:37</div></div>
<div class="ttc" id="classflair_1_1sensor_1_1_v4_l_camera_html_a91421cc842452513bae3ef4530043d69"><div class="ttname"><a href="classflair_1_1sensor_1_1_v4_l_camera.html#a91421cc842452513bae3ef4530043d69">flair::sensor::V4LCamera::SetSaturation</a></div><div class="ttdeci">virtual void SetSaturation(float value)</div><div class="ttdoc">Set Saturation. </div></div>
<div class="ttc" id="classflair_1_1gui_1_1_label_html"><div class="ttname"><a href="classflair_1_1gui_1_1_label.html">flair::gui::Label</a></div><div class="ttdoc">Class displaying a QLabel on the ground station. </div><div class="ttdef"><b>Definition:</b> Label.h:28</div></div>
<div class="ttc" id="classflair_1_1sensor_1_1_v4_l_camera_html_ace224e60461a7c78ff7a7f16e43eaad3"><div class="ttname"><a href="classflair_1_1sensor_1_1_v4_l_camera.html#ace224e60461a7c78ff7a7f16e43eaad3">flair::sensor::V4LCamera::V4LCamera</a></div><div class="ttdeci">V4LCamera(std::string name, uint8_t camera_index, uint16_t width, uint16_t height, core::cvimage::Type::Format format, uint8_t priority)</div><div class="ttdoc">Constructor. </div></div>
<div class="ttc" id="_thread_8h_html"><div class="ttname"><a href="_thread_8h.html">Thread.h</a></div><div class="ttdoc">Abstract class for a thread. </div></div>
<div class="ttc" id="classflair_1_1sensor_1_1_v4_l_camera_html_a6bd963d24efcd05a905cc801af8b91ae"><div class="ttname"><a href="classflair_1_1sensor_1_1_v4_l_camera.html#a6bd963d24efcd05a905cc801af8b91ae">flair::sensor::V4LCamera::SetAutoGain</a></div><div class="ttdeci">virtual void SetAutoGain(bool value)</div><div class="ttdoc">Set Auto Gain. </div></div>
<div class="ttc" id="classflair_1_1core_1_1_thread_html"><div class="ttname"><a href="classflair_1_1core_1_1_thread.html">flair::core::Thread</a></div><div class="ttdoc">Abstract class for a thread. </div><div class="ttdef"><b>Definition:</b> Thread.h:38</div></div>
<div class="ttc" id="classflair_1_1gui_1_1_double_spin_box_html"><div class="ttname"><a href="classflair_1_1gui_1_1_double_spin_box.html">flair::gui::DoubleSpinBox</a></div><div class="ttdoc">Class displaying a QDoubleSpinBox on the ground station. </div><div class="ttdef"><b>Definition:</b> DoubleSpinBox.h:28</div></div>
<div class="ttc" id="_camera_8h_html"><div class="ttname"><a href="_camera_8h.html">Camera.h</a></div><div class="ttdoc">Base class for Camera. </div></div>
<div class="ttc" id="classflair_1_1sensor_1_1_v4_l_camera_html_a1f98212da6124f4da644880fc0f6239a"><div class="ttname"><a href="classflair_1_1sensor_1_1_v4_l_camera.html#a1f98212da6124f4da644880fc0f6239a">flair::sensor::V4LCamera::SetAutoExposure</a></div><div class="ttdeci">virtual void SetAutoExposure(bool value)</div><div class="ttdoc">Set Auto Exposure. </div></div>
<div class="ttc" id="classflair_1_1sensor_1_1_v4_l_camera_html_a0cd0d589400e91a267e736577455a03f"><div class="ttname"><a href="classflair_1_1sensor_1_1_v4_l_camera.html#a0cd0d589400e91a267e736577455a03f">flair::sensor::V4LCamera::SetExposure</a></div><div class="ttdeci">virtual void SetExposure(float value)</div><div class="ttdoc">Set Exposure. </div></div>
<div class="ttc" id="classflair_1_1gui_1_1_tab_html"><div class="ttname"><a href="classflair_1_1gui_1_1_tab.html">flair::gui::Tab</a></div><div class="ttdoc">Class displaying a QTab on the ground station. </div><div class="ttdef"><b>Definition:</b> Tab.h:29</div></div>
<div class="ttc" id="classflair_1_1sensor_1_1_v4_l_camera_html"><div class="ttname"><a href="classflair_1_1sensor_1_1_v4_l_camera.html">flair::sensor::V4LCamera</a></div><div class="ttdoc">Base class for V4l camera. </div><div class="ttdef"><b>Definition:</b> V4LCamera.h:37</div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_33c2ee9b1665499374b4225c427cf176.html">igep</a></li><li class="navelem"><a class="el" href="dir_f1fe274389177bd7e17de7949c4ffada.html">flair-src</a></li><li class="navelem"><a class="el" href="dir_3ef62148cf94871b4b6ee5d6e3a989c1.html">lib</a></li><li class="navelem"><a class="el" href="dir_6e0f9c50eed172896c55a6e61952176b.html">FlairSensorActuator</a></li><li class="navelem"><a class="el" href="dir_c5d95abdcafe7d1171548eb561d7ce37.html">src</a></li><li class="navelem"><a class="el" href="_v4_l_camera_8h.html">V4LCamera.h</a></li>
    <li class="footer">Generated on Thu Jan 31 2019 12:34:23 for Flair by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.9.1 </li>
  </ul>
</div>
</body>
</html>
